#pragma once

#include "ActorFactory.h"

#include "actors/PuppetActor.h"
#include "actors/PuppetHackActor.h"

namespace al
{
    class AllDeadWatcher;
    class BgmPlayObj;
    class CameraRailHolder;
    class CameraWatchPoint;
    class RippleFixMapParts;
    class EffectObj;
    class EffectObj;
    class EffectObjCameraEmit;
    class EffectObjFollowCamera;
    class EffectObjFollowCameraLimit;
    class EffectObjInterval;
    class EntranceCameraStartObj;
    class FogRequester;
    class GraphicsObjShadowMaskSphere;
    class KeyMoveCameraObj;
    class LightningController;
    class OccludedEffectRequester;
    class OneMeshFixMapParts;
    class PrePassLineLight;
    class PrePassPointLight;
    class PrePassProjLight;
    class PrePassProjOrthoLight;
    class PrePassSpotLight;
    class RippleGeneratePoint;
    class RippleGeneratePoint;
    class SeBarrierObj;
    class SePlayObj;
    class SePlayRail;
    class Sky;
    class SwitchKeyMoveMapParts;
    class ThunderRenderRequester;
    class WaterAreaMoveModel;
    class AtmosScatterRequester;
    class BackHideParts;
    class ClockMapParts;
    class ConveyerMapParts;
    class FallMapParts;
    class FixMapParts;
    class FloaterMapParts;
    class FlowMapParts;
    class GateMapParts;
    class KeyMoveMapParts;
    class KeyMoveMapPartsGenerator;
    class RailMoveMapParts;
    class RollingCubeMapParts;
    class RippleFixMapParts;
    class RotateMapParts;
    class SeesawMapParts;
    class SlideMapParts;
    class SubActorLodMapParts;
    class SurfMapParts;
    class SwingMapParts;
    class SwitchDitherMapParts;
    class SwitchKeepOnWatcher;
    class SwitchOpenMapParts;
    class VisibleSwitchMapParts;
    class WheelMapParts;
    class WobbleMapParts;
} // namespace al

__attribute((used)) static al::NameToCreator<al::createActor> actorEntries[] = {
    // CUSTOM ACTOR ENTRIES HERE
    {"PuppetActor", &al::createCustomActor<PuppetActor>},
    {"PuppetHackActor", &al::createCustomActor<PuppetHackActor>},
    // VANILLA ACTOR ENTRIES
    {"AchievementNpc", &al::createActorFunction<class AchievementNpc>},
    {"AirBubble", &al::createActorFunction<class AirBubble>},
    {"AirBubbleGenerator", &al::createActorFunction<class AirBubbleGenerator>},
    {"AirCurrent", &al::createActorFunction<class AirCurrent>},
    {"AllDeadWatcher", &al::createActorFunction<al::AllDeadWatcher>},
    {"AllDeadWatcherWithShine", &al::createActorFunction<class AllDeadWatcherWithShine>},
    {"AmiiboHelpNpc", &al::createActorFunction<class AmiiboHelpNpc>},
    {"AmiiboNpc", &al::createActorFunction<class AmiiboNpc>},
    {"AnagramAlphabet", &al::createActorFunction<class AnagramAlphabet>},
    {"Barrel2D", &al::createActorFunction<class Barrel2D>},
    {"BarrelGenerator2D", &al::createActorFunction<class BarrelGenerator2D>},
    {"BarrierField", &al::createActorFunction<class BarrierField>},
    {"BazookaElectric", &al::createActorFunction<class BazookaElectric>},
    {"BendLeafTree", &al::createActorFunction<class BendLeafTree>},
    {"BgmPlayObj", &al::createActorFunction<al::BgmPlayObj>},
    {"Bird", &al::createActorFunction<class Bird>},
    {"BirdCarryMeat", &al::createActorFunction<class BirdCarryMeat>},
    {"BirdPlayerGlideCtrl", &al::createActorFunction<class BirdPlayerGlideCtrl>},
    {"BlockBrick", &al::createActorFunction<class BlockBrick>},
    {"BlockBrick2D", &al::createActorFunction<class BlockBrick2D>},
    {"BlockBrickBig2D", &al::createActorFunction<class BlockBrickBig2D>},
    {"BlockEmpty", &al::createActorFunction<class BlockEmpty>},
    {"BlockEmpty2D", &al::createActorFunction<class BlockEmpty2D>},
    {"BlockHard", &al::createActorFunction<class BlockHard>},
    {"ClashWorldBlockHard", &al::createActorFunction<class BlockHard>},
    {"BlockQuestion", &al::createActorFunction<class BlockQuestion>},
    {"CityBlockQuestion", &al::createActorFunction<class BlockQuestion>},
    {"BlockQuestion2D", &al::createActorFunction<class BlockQuestion2D>},
    {"BlockTransparent", &al::createActorFunction<class BlockTransparent>},
    {"BlockTransparent2D", &al::createActorFunction<class BlockTransparent2D>},
    {"BlowObjBeans", &al::createActorFunction<class BlowObj>},
    {"BlowObjCan", &al::createActorFunction<class BlowObj>},
    {"BlowObjGarbageBag", &al::createActorFunction<class BlowObj>},
    {"BlowObjMushroom", &al::createActorFunction<class BlowObj>},
    {"BlowObj", &al::createActorFunction<class BlowObj>},
    {"BombTail", &al::createActorFunction<class BombTail>},
    {"BossForest", &al::createActorFunction<class BossForest>},
    {"BossForestBlock", &al::createActorFunction<class BossForestBlock>},
    {"BossForestWander", &al::createActorFunction<class BossForestWander>},
    {"BossKnuckle", &al::createActorFunction<class BossKnuckle>},
    {"BossKnuckleCounterGround", &al::createActorFunction<class BossKnuckleCounterGround>},
    {"BossKnuckleFix", &al::createActorFunction<class BossKnuckleFix>},
    {"BossMagma", &al::createActorFunction<class BossMagma>},
    {"BossRaid", &al::createActorFunction<class BossRaid>},
    {"BossRaidNpc", &al::createActorFunction<class BossRaidNpc>},
    {"BossRaidRivet", &al::createActorFunction<class BossRaidRivet>},
    {"BreakablePole", &al::createActorFunction<class BreakablePole>},
    {"Breeda", &al::createActorFunction<class Breeda>},
    {"Bubble", &al::createActorFunction<class Bubble>},
    {"Bubble2D", &al::createActorFunction<class Bubble2D>},
    {"BubbleLauncher", &al::createActorFunction<class BubbleLauncher>},
    {"Bull", &al::createActorFunction<class Bull>},
    {"Byugo", &al::createActorFunction<class Byugo>},
    {"Cactus", &al::createActorFunction<class Cactus>},
    {"CactusMini", &al::createActorFunction<class CactusMini>},
    {"CageShine", &al::createActorFunction<class CageShineWatcher>},
    {"CageSaveSwitch", &al::createActorFunction<class CageSwitch>},
    {"CageStageSwitch", &al::createActorFunction<class CageSwitch>},
    {"CageBreakable", &al::createActorFunction<class BreakMapParts>},
    {"CameraDemoGateMapParts", &al::createActorFunction<class CameraDemoGateMapParts>},
    {"CameraDemoKeyMoveMapParts", &al::createActorFunction<class CameraDemoKeyMoveMapParts>},
    {"CameraRailHolder", &al::createActorFunction<al::CameraRailHolder>},
    {"CameraSub", &al::createActorFunction<class CameraSub>},
    {"CameraWatchPoint", &al::createActorFunction<al::CameraWatchPoint>},
    {"Candlestand", &al::createActorFunction<class Candlestand>},
    {"CandlestandFire", &al::createActorFunction<class Candlestand>},
    {"CandlestandInitializer", &al::createActorFunction<class CandlestandInitializer>},
    {"CandlestandBgmDirector", &al::createActorFunction<class CandlestandBgmDirector>},
    {"CandlestandSaveWatcher", &al::createActorFunction<class CandlestandSaveWatcher>},
    {"CandlestandWatcher", &al::createActorFunction<class CandlestandWatcher>},
    {"CapAccelerator", &al::createActorFunction<class CapAccelerator>},
    {"CapAcceleratorKeyMoveMapParts", &al::createActorFunction<class CapAccelerator>},
    {"CapAppearMapParts", &al::createActorFunction<class CapAppearMapParts>},
    {"CapBeamer", &al::createActorFunction<class CapBeamer>},
    {"CapBomb", &al::createActorFunction<class CapBomb>},
    {"CapCatapult", &al::createActorFunction<class CapCatapult>},
    {"CapFlower", &al::createActorFunction<class CapFlower>},
    {"CapFlowerGroup", &al::createActorFunction<class CapFlowerGroup>},
    {"CapHanger", &al::createActorFunction<class CapHanger>},
    {"CapMessageAfterInformation", &al::createActorFunction<class CapMessageAfterInformation>},
    {"CapRack", &al::createActorFunction<class CapRack>},
    {"CapRackTimer", &al::createActorFunction<class CapRack>},
    {"CapRailMover", &al::createActorFunction<class CapRailMover>},
    {"CapSlotBase", &al::createActorFunction<class CapSlotBase>},
    {"CapSwitch", &al::createActorFunction<class CapSwitch>},
    {"CapSwitchSave", &al::createActorFunction<class CapSwitch>},
    {"CapSwitchTimer", &al::createActorFunction<class CapSwitchTimer>},
    {"CapThrower", &al::createActorFunction<class CapThrower>},
    {"CapTrampoline", &al::createActorFunction<class CapTrampoline>},
    {"Car", &al::createActorFunction<class Car>},
    {"CarSandWorld", &al::createActorFunction<class Car>},
    {"CarWatcher", &al::createActorFunction<class CarWatcher>},
    {"CardboardBox", &al::createActorFunction<class CardboardBox>},
    {"CatchBomb", &al::createActorFunction<class CatchBomb>},
    {"Chair", &al::createActorFunction<class Chair>},
    {"CheckpointFlag", &al::createActorFunction<class CheckpointFlag>},
    {"ChorobonHolder", &al::createActorFunction<class ChorobonHolder>},
    {"ChurchDoor", &al::createActorFunction<class ChurchDoor>},
    {"CityBuilding", &al::createActorFunction<class CityBuilding>},
    {"CityStreetlight", &al::createActorFunction<class CityStreetlight>},
    {"CityWorldSign", &al::createActorFunction<class CityWorldSign>},
    {"CityWorldUndergroundMachine", &al::createActorFunction<class CityWorldUndergroundMachine>},
    {"CitySign", &al::createActorFunction<class CitySign>},
    {"CitySignal", &al::createActorFunction<class CitySignal>},
    {"CityWorldTable", &al::createActorFunction<class ReactionObject>},
    {"Closet", &al::createActorFunction<class Closet>},
    {"CloudStep", &al::createActorFunction<class CloudStep>},
    {"CollapseSandHill", &al::createActorFunction<class CollapseSandHill>},
    {"CollectAnimalWatcher", &al::createActorFunction<class CollectAnimalWatcher>},
    {"CollectBgmSpeaker", &al::createActorFunction<class CollectBgmSpeaker>},
    {"CollectionList", &al::createActorFunction<class CollectionList>},
    {"Coin", &al::createActorFunction<class Coin>},
    {"Coin2D", &al::createActorFunction<class Coin2D>},
    {"Coin2DCityDirector", &al::createActorFunction<class Coin2DCityDirector>},
    {"CoinBlow", &al::createActorFunction<class CoinBlow>},
    {"CoinChameleon", &al::createActorFunction<class CoinChameleon>},
    {"CoinCirclePlacement", &al::createActorFunction<class CoinCirclePlacement>},
    {"CoinCollect", &al::createActorFunction<class CoinCollect>},
    {"CoinCollectHintObj", &al::createActorFunction<class CoinCollectHintObj>},
    {"CoinCollect2D", &al::createActorFunction<class CoinCollect2D>},
    {"CoinLead", &al::createActorFunction<class CoinLead>},
    {"CoinRail", &al::createActorFunction<class CoinRail>},
    {"CoinRing", &al::createActorFunction<class CoinRing>},
    {"CoinStackGroup", &al::createActorFunction<class CoinStackGroup>},
    {"CrystalBreakable", &al::createActorFunction<class CrystalBreakable>},
    {"DamageBallGenerator", &al::createActorFunction<class DamageBallGenerator>},
    {"DelaySwitch", &al::createActorFunction<class DelaySwitch>},
    {"DemoActorCapManHero", &al::createActorFunction<class DemoActorCapManHero>},
    {"DemoActorCapManHeroine", &al::createActorFunction<class DemoActorCapManHeroine>},
    {"DemoActorKoopaShip", &al::createActorFunction<class DemoActorKoopaShip>},
    {"DemoActorHack", &al::createActorFunction<class DemoActorHack>},
    {"DemoActorPeach", &al::createActorFunction<class DemoActorPeach>},
    {"DemoActorShineTower", &al::createActorFunction<class DemoActorShineTower>},
    {"DemoPeachWorldHomeWater001", &al::createActorFunction<al::RippleFixMapParts>},
    {"DemoChangeEffectObj", &al::createActorFunction<class DemoChangeEffectObj>},
    {"DemoWorldMoveHomeBackGround", &al::createActorFunction<class DemoWorldMoveHomeBackGround>},
    {"DemoPeachWedding", &al::createActorFunction<class DemoPeachWedding>},
    {"DemoPlayer", &al::createActorFunction<class DemoPlayer>},
    {"DemoPlayerCap", &al::createActorFunction<class DemoPlayerCap>},
    {"DigPoint", &al::createActorFunction<class DigPoint>},
    {"DigPointHintPhoto", &al::createActorFunction<class DigPoint>},
    {"DigPointWater", &al::createActorFunction<class DigPoint>},
    {"DirectionFixedBillboard", &al::createActorFunction<al::FixMapParts>},
    {"Dokan", &al::createActorFunction<class Dokan>},
    {"DokanKoopa", &al::createActorFunction<class DokanKoopa>},
    {"DokanMaze", &al::createActorFunction<class DokanMaze>},
    {"DokanMazeDirector", &al::createActorFunction<class DokanMazeDirector>},
    {"DokanStageChange", &al::createActorFunction<class DokanStageChange>},
    {"DonkeyKong2D", &al::createActorFunction<class DonkeyKong2D>},
    {"Donsuke", &al::createActorFunction<class Donsuke>},
    {"Doshi", &al::createActorFunction<class Doshi>},
    {"DoorAreaChange", &al::createActorFunction<class DoorAreaChange>},
    {"DoorAreaChangeCap", &al::createActorFunction<class DoorAreaChangeCap>},
    {"DoorCity", &al::createActorFunction<class DoorCity>},
    {"DoorSnow", &al::createActorFunction<class DoorSnow>},
    {"DoorWarp", &al::createActorFunction<class DoorWarp>},
    {"DoorWarpStageChange", &al::createActorFunction<class DoorWarpStageChange>},
    {"EchoBlockMapParts", &al::createActorFunction<class EchoBlockMapParts>},
    {"EffectObj", &al::createActorFunction<al::EffectObj>},
    {"EffectObjScale", &al::createActorFunction<al::EffectObj>},
    {"EffectObjAlpha", &al::createActorFunction<class EffectObjAlpha>},
    {"EffectObjCameraEmit", &al::createActorFunction<al::EffectObjCameraEmit>},
    {"EffectObjFollowCamera", &al::createActorFunction<al::EffectObjFollowCamera>},
    {"EffectObjFollowCameraLimit", &al::createActorFunction<al::EffectObjFollowCameraLimit>},
    {"EffectObjInterval", &al::createActorFunction<al::EffectObjInterval>},
    {"EffectObjNpcManFar", &al::createActorFunction<class EffectObjNpcManFar>},
    {"EffectObjQualityChange", &al::createActorFunction<class EffectObjQualityChange>},
    {"ElectricWire", &al::createActorFunction<class ElectricWire>},
    {"ElectricWireKoopa", &al::createActorFunction<class ElectricWireKoopa>},
    {"EntranceCameraStartObj", &al::createActorFunction<al::EntranceCameraStartObj>},
    {"EventKeyMoveCameraObjNoDemo", &al::createActorFunction<class EventKeyMoveCameraObjNoDemo>},
    {"EventKeyMoveCameraObjWithDemo", &al::createActorFunction<class EventKeyMoveCameraObjWithDemo>},
    {"FigureWalkingNpc", &al::createActorFunction<class FigureWalkingNpc>},
    {"FireBlower", &al::createActorFunction<class FireBlower>},
    {"FireBrosPossessed", &al::createActorFunction<class FireBros>},
    {"FireSwitch", &al::createActorFunction<class FireSwitch>},
    {"FireHydrant", &al::createActorFunction<class FireHydrant>},
    {"FireDrum2D", &al::createActorFunction<class FireDrum2D>},
    {"FishingFish", &al::createActorFunction<class FishingFish>},
    {"FixMapParts2D", &al::createActorFunction<class FixMapParts2D>},
    {"FixMapPartsAppearKillAsync", &al::createActorFunction<class FixMapPartsAppearKillAsync>},
    {"FixMapPartsBgmChangeAction", &al::createActorFunction<class FixMapPartsBgmChangeAction>},
    {"FixMapPartsCapHanger", &al::createActorFunction<class FixMapPartsCapHanger>},
    {"FixMapPartsDitherAppear", &al::createActorFunction<class FixMapPartsDitherAppear>},
    {"FixMapPartsForceSafetyPoint", &al::createActorFunction<class FixMapPartsForceSafetyPoint>},
    {"FixMapPartsFukankunZoomCapMessage", &al::createActorFunction<class FixMapPartsFukankunZoomCapMessage>},
    {"FixMapPartsScenarioAction", &al::createActorFunction<class FixMapPartsScenarioAction>},
    {"FlyObject", &al::createActorFunction<class FlyObject>},
    {"ForestManSeed", &al::createActorFunction<class ForestManSeed>},
    {"ForestWorldHomeBreakParts000", &al::createActorFunction<class BlockHard>},
    {"FogRequester", &al::createActorFunction<al::FogRequester>},
    {"FrailBox", &al::createActorFunction<class FrailBox>},
    {"Frog", &al::createActorFunction<class Frog>},
    {"Fukankun", &al::createActorFunction<class Fukankun>},
    {"FukankunZoomCapMessageSun", &al::createActorFunction<class FukankunZoomCapMessageSun>},
    {"FukuwaraiWatcher", &al::createActorFunction<class FukuwaraiWatcher>},
    {"ForestWorldEnergyStand", &al::createActorFunction<class ForestWorldEnergyStand>},
    {"ForestWorldFlowerCtrl", &al::createActorFunction<class ForestWorldFlowerCtrl>},
    {"GabuZou", &al::createActorFunction<class GabuZou>},
    {"GabuZouGroup", &al::createActorFunction<class GabuZouGroup>},
    {"Gamane", &al::createActorFunction<class Gamane>},
    {"GiantWanderBoss", &al::createActorFunction<class GiantWanderBoss>},
    {"GoalMark", &al::createActorFunction<class GoalMark>},
    {"GolemClimb", &al::createActorFunction<class GolemClimb>},
    {"Gotogoton", &al::createActorFunction<class Gotogoton>},
    {"GotogotonGoal", &al::createActorFunction<class GotogotonGoal>},
    {"GraphicsObjShadowMaskCube", &al::createActorFunction<class ProjectGraphicsObjShadowMaskCube>},
    {"GraphicsObjShadowMaskSphere", &al::createActorFunction<al::GraphicsObjShadowMaskSphere>},
    {"GrowerBug", &al::createActorFunction<class GrowerBug>},
    {"GrowerWorm", &al::createActorFunction<class GrowerWorm>},
    {"GrowFlowerCoin", &al::createActorFunction<class GrowFlowerCoin>},
    {"GrowFlowerWatcher", &al::createActorFunction<class GrowFlowerWatcher>},
    {"GrowPlantGrowPlace", &al::createActorFunction<class GrowPlantGrowPlace>},
    {"GrowPlantSeed", &al::createActorFunction<class GrowPlantSeed>},
    {"GrowPlantStartStage", &al::createActorFunction<class GrowPlantStartStage>},
    {"GrowPlantWatcher", &al::createActorFunction<class GrowPlantWatcher>},
    {"Gunetter", &al::createActorFunction<class GunetterSpin>},
    {"GunetterMove", &al::createActorFunction<class Gunetter>},
    {"HackCar", &al::createActorFunction<class HackCar>},
    {"HackFork", &al::createActorFunction<class HackFork>},
    {"HammerBrosPossessed", &al::createActorFunction<class HammerBros>},
    {"HammerBros2D", &al::createActorFunction<class HammerBros2D>},
    {"HelpNpc", &al::createActorFunction<class HelpNpc>},
    {"HintNpc", &al::createActorFunction<class HintNpc>},
    {"HintPhoto", &al::createActorFunction<class HintPhoto>},
    {"HintRouteGuidePoint", &al::createActorFunction<class HintRouteGuidePoint>},
    {"HipDropSwitch", &al::createActorFunction<class HipDropSwitch>},
    {"HipDropSwitchSave", &al::createActorFunction<class HipDropSwitch>},
    {"HipDropSwitchTimer", &al::createActorFunction<class HipDropSwitchTimer>},
    {"HipDropTile", &al::createActorFunction<class HipDropTile>},
    {"HipDropMoveLift", &al::createActorFunction<class HipDropMoveLift>},
    {"HipDropRepairParts", &al::createActorFunction<class HipDropRepairParts>},
    {"HipDropTransformPartsWatcher", &al::createActorFunction<class HipDropTransformPartsWatcher>},
    {"HomeBed", &al::createActorFunction<class HomeBed>},
    {"HomeChair", &al::createActorFunction<class HomeChair>},
    {"HomeInside", &al::createActorFunction<class HomeInside>},
    {"HomeShip", &al::createActorFunction<class HomeShip>},
    {"Hosui", &al::createActorFunction<class Hosui>},
    {"IcicleFall", &al::createActorFunction<class IcicleFall>},
    {"Imomu", &al::createActorFunction<class Imomu>},
    {"IndicatorDirector", &al::createActorFunction<class IndicatorDirector>},
    {"Jango", &al::createActorFunction<class Jango>},
    {"Joku", &al::createActorFunction<class Joku>},
    {"JugemFishing", &al::createActorFunction<class JugemFishing>},
    {"JumpingRopeNpc", &al::createActorFunction<class JumpingRopeNpc>},
    {"Kakku", &al::createActorFunction<class Kakku>},
    {"KaronWing", &al::createActorFunction<class KaronWing>},
    {"KeyMoveCameraFix", &al::createActorFunction<al::KeyMoveCameraObj>},
    {"KickStone", &al::createActorFunction<class KickStone>},
    {"KillerLauncher", &al::createActorFunction<class KillerLauncher>},
    {"KillerLauncherDot", &al::createActorFunction<class KillerLauncherDot>},
    {"KinokoUfo", &al::createActorFunction<class KinokoUfo>},
    {"Koopa", &al::createActorFunction<class Koopa>},
    {"KoopaCapPlayer", &al::createActorFunction<class KoopaCapPlayer>},
    {"KoopaChurch", &al::createActorFunction<class KoopaChurch>},
    {"KoopaLv1", &al::createActorFunction<class KoopaLv1>},
    {"KoopaLv2", &al::createActorFunction<class KoopaLv1>},
    {"KoopaLv3", &al::createActorFunction<class KoopaLv1>},
    {"KoopaShip", &al::createActorFunction<class KoopaShip>},
    {"Kuribo2D3D", &al::createActorFunction<class Kuribo2D>},
    {"KuriboGenerator2D3D", &al::createActorFunction<class KuriboGenerator2D>},
    {"KuriboGirl", &al::createActorFunction<class KuriboGirl>},
    {"KuriboPossessed", &al::createActorFunction<class KuriboHack>},
    {"KuriboMini", &al::createActorFunction<class KuriboMini>},
    {"KuriboTowerSwitch", &al::createActorFunction<class KuriboTowerSwitch>},
    {"KuriboWing", &al::createActorFunction<class KuriboWing>},
    {"LavaFryingPan", &al::createActorFunction<class LavaFryingPan>},
    {"LavaStewVeget", &al::createActorFunction<class LavaStewVeget>},
    {"LavaPan", &al::createActorFunction<class LavaPan>},
    {"LavaWave", &al::createActorFunction<class LavaWave>},
    {"LifeMaxUpItem", &al::createActorFunction<class LifeMaxUpItem>},
    {"LifeMaxUpItem2D", &al::createActorFunction<class LifeMaxUpItem2D>},
    {"LifeUpItem", &al::createActorFunction<class LifeUpItem>},
    {"LifeUpItem2D", &al::createActorFunction<class LifeUpItem2D>},
    {"LightningController", &al::createActorFunction<al::LightningController>},
    {"LongGenerator", &al::createActorFunction<class LongGenerator>},
    {"MarchingCubeBlock", &al::createActorFunction<class MarchingCubeBlock>},
    {"MapPartsRoulette", &al::createActorFunction<class MapPartsRoulette>},
    {"Megane", &al::createActorFunction<class Megane>},
    {"MeganeLiftExLift", &al::createActorFunction<class MeganeLiftExLift>},
    {"MeganeKeyMoveMapParts", &al::createActorFunction<class MeganeKeyMoveMapParts>},
    {"MeganeMapParts", &al::createActorFunction<class MeganeMapParts>},
    {"Mirror", &al::createActorFunction<class Mirror>},
    {"MoonBasementBreakParts", &al::createActorFunction<class MoonBasementBreakParts>},
    {"MoonBasementClimaxWatcher", &al::createActorFunction<class MoonBasementClimaxWatcher>},
    {"MoonBasementFallObj", &al::createActorFunction<class MoonBasementMeteorPointObj>},
    {"MoonBasementFinalGate", &al::createActorFunction<class MoonBasementFinalGate>},
    {"MoonBasementFallObjDecoration", &al::createActorFunction<class MoonBasementFallObjDecoration>},
    {"MoonBasementFloor", &al::createActorFunction<class MoonBasementFloor>},
    {"MoonBasementGate", &al::createActorFunction<class MoonBasementGate>},
    {"MoonBasementMeteorAreaObj", &al::createActorFunction<class MoonBasementMeteorAreaObj>},
    {"MoonBasementPillar", &al::createActorFunction<class MoonBasementPillar>},
    {"MoonBasementRock", &al::createActorFunction<class MoonBasementRock>},
    {"MoonBasementSlideObj", &al::createActorFunction<class MoonBasementSlideObj>},
    {"MoonRock", &al::createActorFunction<class MoonRock>},
    {"MoonWorldBell", &al::createActorFunction<class MoonWorldBell>},
    {"MoonWorldCaptureParadeLift", &al::createActorFunction<class MoonWorldCaptureParadeLift>},
    {"Mofumofu", &al::createActorFunction<class Mofumofu>},
    {"MofumofuLv2", &al::createActorFunction<class Mofumofu>},
    {"MofumofuScrap", &al::createActorFunction<class MofumofuScrap>},
    {"Motorcycle", &al::createActorFunction<class Motorcycle>},
    {"MotorcycleParkingLot", &al::createActorFunction<class MotorcycleParkingLot>},
    {"MoveHomeNpc", &al::createActorFunction<class MoveHomeNpc>},
    {"MoviePlayerMapParts", &al::createActorFunction<class MoviePlayerMapParts>},
    {"MultiGateKeeperBonfire", &al::createActorFunction<class MultiGateKeeperBonfire>},
    {"MultiGateKeeperWatcher", &al::createActorFunction<class MultiGateKeeperWatcher>},
    {"Mummy", &al::createActorFunction<class Mummy>},
    {"MummyGenerator", &al::createActorFunction<class MummyGenerator>},
    {"NeedleTrap", &al::createActorFunction<class NeedleTrap>},
    {"Nokonoko2D", &al::createActorFunction<class Nokonoko2D>},
    {"NoteObjFirst", &al::createActorFunction<class NoteObj>},
    {"NoteObjFirst2D", &al::createActorFunction<class NoteObj2D>},
    {"NoteObjDirector", &al::createActorFunction<class NoteObjDirector>},
    {"Objex", &al::createActorFunction<class Objex>},
    {"OccludedEffectRequester", &al::createActorFunction<al::OccludedEffectRequester>},
    {"OceanWave", &al::createActorFunction<class OceanWaveActor>},
    {"CloudOcean", &al::createActorFunction<class OceanWaveActor>},
    {"DemoCloudOcean", &al::createActorFunction<class OceanWaveActor>},
    {"OneMeshFixMapParts", &al::createActorFunction<al::OneMeshFixMapParts>},
    {"OpeningStageStartDemo", &al::createActorFunction<class OpeningStageStartDemo>},
    {"PackunFire", &al::createActorFunction<class PackunFire>},
    {"PadRumblePoint", &al::createActorFunction<class PadRumblePoint>},
    {"PaintObj", &al::createActorFunction<class PaintObj>},
    {"PaulineAtCeremony", &al::createActorFunction<class PaulineAtCeremony>},
    {"PaulineAudience", &al::createActorFunction<class PaulineAudience>},
    {"PeachWorldHomeCastleCap", &al::createActorFunction<class PeachCastleCap>},
    {"PeachWorldGate", &al::createActorFunction<class PeachWorldGate>},
    {"PeachWorldMoatWater", &al::createActorFunction<class PeachWorldMoatWater>},
    {"PeachWorldTree", &al::createActorFunction<class PeachWorldTree>},
    {"Pecho", &al::createActorFunction<class Pecho>},
    {"Pen", &al::createActorFunction<class Pen>},
    {"PictureStageChange", &al::createActorFunction<class PictureStageChange>},
    {"PillarKeyMoveParts", &al::createActorFunction<class PillarKeyMoveParts>},
    {"PillarSwitchOpenMapParts", &al::createActorFunction<class PillarSwitchOpenMapParts>},
    {"PlayerMotionObserver", &al::createActorFunction<class PlayerMotionObserver>},
    {"PlayerStartObj", &al::createActorFunction<class PlayerStartObj>},
    {"PlayerSubjectiveWatchCheckObj", &al::createActorFunction<class PlayerSubjectiveWatchCheckObj>},
    {"PlayGuideBoard", &al::createActorFunction<class PlayGuideBoard>},
    {"PlayRecorder", &al::createActorFunction<class PlayRecorder>},
    {"PlayerStartObjNoLink", &al::createActorFunction<class PlayerStartObj>},
    {"PochiHintPhoto", &al::createActorFunction<class PochiHintPhoto>},
    {"Poetter", &al::createActorFunction<class Poetter>},
    {"PoleClimbParts", &al::createActorFunction<class PoleClimbParts>},
    {"PoleClimbPartsBreak", &al::createActorFunction<class PoleClimbParts>},
    {"PoleGrabCeil", &al::createActorFunction<class PoleGrabCeil>},
    {"PoleGrabCeilKeyMoveParts", &al::createActorFunction<class PoleGrabCeil>},
    {"PopnGenerator", &al::createActorFunction<class PopnGenerator>},
    {"LavaWorldPoster", &al::createActorFunction<class ReactionObjectPoster>},
    {"PosterCeremony", &al::createActorFunction<class ReactionObjectPoster>},
    {"PosterWedding", &al::createActorFunction<class ReactionObjectPoster>},
    {"ReactionObjectSkyRhythm", &al::createActorFunction<class ReactionObjectSkyRhythm>},
    {"PosterWatcher", &al::createActorFunction<class PosterWatcher>},
    {"PrePassCausticsLight", &al::createActorFunction<class PrePassCausticsLight>},
    {"PrePassLineLight", &al::createActorFunction<al::PrePassLineLight>},
    {"PrePassPointLight", &al::createActorFunction<al::PrePassPointLight>},
    {"PrePassProjLight", &al::createActorFunction<al::PrePassProjLight>},
    {"PrePassProjOrthoLight", &al::createActorFunction<al::PrePassProjOrthoLight>},
    {"PrePassSpotLight", &al::createActorFunction<al::PrePassSpotLight>},
    {"ProjectRaceCheckPoint", &al::createActorFunction<class ProjectRaceCheckPoint>},
    {"Pyramid", &al::createActorFunction<class Pyramid>},
    {"QuestObj", &al::createActorFunction<class QuestObj>},
    {"RabbitGraph", &al::createActorFunction<class RabbitGraph>},
    {"RaceAudienceNpc", &al::createActorFunction<class RaceAudienceNpc>},
    {"RaceManGoal", &al::createActorFunction<class RaceManGoal>},
    {"RaceManRace", &al::createActorFunction<class RaceManRace>},
    {"RaceManStart", &al::createActorFunction<class RaceManStart>},
    {"RaceWatcher", &al::createActorFunction<class RaceWatcher>},
    {"RadiConRaceWatcher", &al::createActorFunction<class RadiConRaceWatcher>},
    {"RadioCassette", &al::createActorFunction<class RadioCassette>},
    {"RadiconNpc", &al::createActorFunction<class RadiconNpc>},
    {"Radish", &al::createActorFunction<class Radish>},
    {"RadishGold", &al::createActorFunction<class Radish>},
    {"RailDrawer", &al::createActorFunction<class RailDrawer>},
    {"RankingNpc", &al::createActorFunction<class RankingNpc>},
    {"ReactionObject", &al::createActorFunction<class ReactionObject>},
    {"CarBreakable", &al::createActorFunction<class ReactionObjectCarBreakable>},
    {"ReactionObjectDotCharacter", &al::createActorFunction<class ReactionObject>},
    {"ReflectBombGenerator", &al::createActorFunction<class ReflectBombGenerator>},
    {"RhythmSpotlight", &al::createActorFunction<class RhythmSpotlight>},
    {"RippleGeneratePoint", &al::createActorFunction<al::RippleGeneratePoint>},
    {"RippleGenerateSquare", &al::createActorFunction<al::RippleGeneratePoint>},
    {"RotateTarget", &al::createActorFunction<class RotateTarget>},
    {"RouletteSwitch", &al::createActorFunction<class RouletteSwitch>},
    {"RouteGuideArrow", &al::createActorFunction<class RouteGuideArrow>},
    {"RouteGuideRail", &al::createActorFunction<class RouteGuideRail>},
    {"RunAwayNpc", &al::createActorFunction<class RunAwayNpc>},
    {"SandGeyser", &al::createActorFunction<class SandGeyser>},
    {"SandWorldHomeLift", &al::createActorFunction<class SandWorldHomeLift>},
    {"SaucePan", &al::createActorFunction<class SaucePan>},
    {"SaveFlagCheckObj", &al::createActorFunction<class SaveFlagCheckObj>},
    {"ScenarioStartCameraAnim", &al::createActorFunction<class ScenarioStartCamera>},
    {"ScenarioStartCameraSimpleZoom", &al::createActorFunction<class ScenarioStartCamera>},
    {"ScenarioStartCameraRailMove", &al::createActorFunction<class ScenarioStartCamera>},
    {"Senobi", &al::createActorFunction<class Senobi>},
    {"SenobiGeneratePoint", &al::createActorFunction<class SenobiGeneratePoint>},
    {"SenobiMoveMapParts", &al::createActorFunction<class SenobiMoveMapParts>},
    {"SenobiMoveMapPartsConnector", &al::createActorFunction<class SenobiMoveMapPartsConnector>},
    {"SeBarrierObj", &al::createActorFunction<al::SeBarrierObj>},
    {"SePlayObj", &al::createActorFunction<al::SePlayObj>},
    {"SePlayObjWithSave", &al::createActorFunction<class SePlayObjWithSave>},
    {"SePlayRail", &al::createActorFunction<al::SePlayRail>},
    {"SequentialSwitch", &al::createActorFunction<class SequentialSwitch>},
    {"SessionBgmCtrlObj", &al::createActorFunction<class SessionBgmCtrlObj>},
    {"SessionMayorNpc", &al::createActorFunction<class SessionMayorNpc>},
    {"SessionMusicianNpc", &al::createActorFunction<class SessionMusicianNpc>},
    {"Shibaken", &al::createActorFunction<class Shibaken>},
    {"ShibakenHomeShipInside", &al::createActorFunction<class Shibaken>},
    {"Shine", &al::createActorFunction<class Shine>},
    {"ShineWithAppearCamera", &al::createActorFunction<class Shine>},
    {"ShineChipWatcher", &al::createActorFunction<class ShineChipWatcher>},
    {"ShineDot", &al::createActorFunction<class Shine>},
    {"ShineFukankunWatchObj", &al::createActorFunction<class ShineFukankunWatchObj>},
    {"ShineTowerRocket", &al::createActorFunction<class ShineTowerRocket>},
    {"ShopBgmPlayer", &al::createActorFunction<class ShopBgmPlayer>},
    {"ShopMark", &al::createActorFunction<class ShopMark>},
    {"ShoppingWatcher", &al::createActorFunction<class ShoppingWatcher>},
    {"SignBoardDanger", &al::createActorFunction<class SignBoardDanger>},
    {"SignBoardLayoutTexture", &al::createActorFunction<class SignBoardLayoutTexture>},
    {"SkyFukankunZoomCapMessage", &al::createActorFunction<class SkyFukankunZoomCapMessage>},
    {"SkyWorldCloud", &al::createActorFunction<class SkyWorldCloud>},
    {"SkyWorldKoopaFire", &al::createActorFunction<class SkyWorldKoopaFire>},
    {"SkyWorldKoopaFrame", &al::createActorFunction<class SkyWorldKoopaFrame>},
    {"SkyWorldMiddleViewCloud", &al::createActorFunction<class SkyWorldMiddleViewCloud>},
    {"SignBoard", &al::createActorFunction<class SignBoard>},
    {"SnowWorldBigIcicle", &al::createActorFunction<class SnowWorldBigIcicle>},
    {"SnowWorldSequenceFlagCheckObj", &al::createActorFunction<class SnowWorldSequenceFlagCheckObj>},
    {"Sky", &al::createActorFunction<al::Sky>},
    {"SmallWanderBoss", &al::createActorFunction<class SmallWanderBoss>},
    {"SneakingMan", &al::createActorFunction<class SneakingMan>},
    {"SnowManRaceNpc", &al::createActorFunction<class SnowManRaceNpc>},
    {"SnowVolume", &al::createActorFunction<class SnowVolume>},
    {"SnowVolumeEraser", &al::createActorFunction<class SnowVolumeEraser>},
    {"Souvenir", &al::createActorFunction<class Souvenir>},
    {"SouvenirDirector", &al::createActorFunction<class SouvenirDirector>},
    {"Special2KeyMoveLift", &al::createActorFunction<class Special2KeyMoveLift>},
    {"Special2KeyMoveParts", &al::createActorFunction<class Special2KeyMoveParts>},
    {"SphinxQuiz", &al::createActorFunction<class SphinxQuiz>},
    {"SphinxRide", &al::createActorFunction<class SphinxRide>},
    {"SphinxTaxiWatcher", &al::createActorFunction<class SphinxTaxiWatcher>},
    {"Squirrel", &al::createActorFunction<class Squirrel>},
    {"Stacker", &al::createActorFunction<class Stacker>},
    {"StackerCapWorldCtrl", &al::createActorFunction<class StackerCapWorldCtrl>},
    {"StageEventDemo", &al::createActorFunction<class StageEventDemo>},
    {"StageSwitchSelector", &al::createActorFunction<class StageSwitchSelector>},
    {"StageTalkDemoNpcCap", &al::createActorFunction<class StageTalkDemoNpcCap>},
    {"StageTalkDemoNpcCapMoonRock", &al::createActorFunction<class StageTalkDemoNpcCap>},
    {"Stake", &al::createActorFunction<class Stake>},
    {"Statue", &al::createActorFunction<class Statue>},
    {"StatueSnapMark", &al::createActorFunction<class StatueSnapMark>},
    {"SubActorLodFixPartsScenarioAction", &al::createActorFunction<class SubActorLodFixPartsScenarioAction>},
    {"SwitchAnd", &al::createActorFunction<class SwitchAnd>},
    {"SwitchKeyMoveMapParts", &al::createActorFunction<al::SwitchKeyMoveMapParts>},
    {"TalkMessageInfoPoint", &al::createActorFunction<class CapMessagePlacement>},
    {"TalkMessageInfoPointSaveObj", &al::createActorFunction<class TalkMessageInfoPointSaveObj>},
    {"TalkNpc", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcFreeze", &al::createActorFunction<class TalkNpcFreeze>},
    {"TalkNpcCapMan", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcCapManHero", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcCityMan", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcCityManLow", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcCityManSit", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcCityMayor", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcCollectBgm", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcDesertMan", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcForestMan", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcForestManScrap", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcKinopio", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcKinopioBrigade", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcKinopioMember", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcLakeMan", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcLavaMan", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcLavaManCook", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcLifeUpItemSeller", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcRabbit", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcSeaMan", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcSnowMan", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcSnowManLeader", &al::createActorFunction<class TalkNpc>},
    {"TalkNpcSnowManRacer", &al::createActorFunction<class TalkNpc>},
    {"TalkPoint", &al::createActorFunction<class TalkPoint>},
    {"Tank", &al::createActorFunction<class Tank>},
    {"TankReviveCtrl", &al::createActorFunction<class TankReviveCtrl>},
    {"TaxiStop", &al::createActorFunction<class TaxiStop>},
    {"TextureReplaceScreen", &al::createActorFunction<class TextureReplaceScreen>},
    {"ThunderRenderRequester", &al::createActorFunction<al::ThunderRenderRequester>},
    {"Togezo", &al::createActorFunction<class Togezo>},
    {"Togezo2D", &al::createActorFunction<class Togezo2D>},
    {"TokimekiMayorNpc", &al::createActorFunction<class TokimekiMayorNpc>},
    {"TrampleBush", &al::createActorFunction<class TrampleBush>},
    {"TrampleSwitch", &al::createActorFunction<class TrampleSwitch>},
    {"TrampleSwitchSave", &al::createActorFunction<class TrampleSwitch>},
    {"TrampleSwitchTimer", &al::createActorFunction<class TrampleSwitchTimer>},
    {"TransparentWall", &al::createActorFunction<class TransparentWall>},
    {"TreasureBox", &al::createActorFunction<class TreasureBox>},
    {"TreasureBoxKey", &al::createActorFunction<class TreasureBoxKey>},
    {"TreasureBoxSequentialDirector", &al::createActorFunction<class TreasureBoxSequentialDirector>},
    {"TRex", &al::createActorFunction<class TRex>},
    {"TRexForceScroll", &al::createActorFunction<class TRex>},
    {"TRexPatrol", &al::createActorFunction<class TRex>},
    {"TRexSleep", &al::createActorFunction<class TRex>},
    {"TRexScrollBreakMapParts", &al::createActorFunction<class TRexScrollBreakMapParts>},
    {"Tsukkun", &al::createActorFunction<class Tsukkun>},
    {"TsukkunHole", &al::createActorFunction<class TsukkunHole>},
    {"TwistChainList", &al::createActorFunction<class TwistChainList>},
    {"Utsubo", &al::createActorFunction<class Utsubo>},
    {"UtsuboWatcher", &al::createActorFunction<class UtsuboWatcher>},
    {"VocalMike", &al::createActorFunction<class VocalMike>},
    {"VolleyballBase", &al::createActorFunction<class VolleyballBase>},
    {"VolleyballNet", &al::createActorFunction<class VolleyballNet>},
    {"VolleyballNpc", &al::createActorFunction<class VolleyballNpc>},
    {"Wanwan", &al::createActorFunction<class Wanwan>},
    {"WanwanHole", &al::createActorFunction<class WanwanHole>},
    {"WaterAreaMoveModel", &al::createActorFunction<al::WaterAreaMoveModel>},
    {"WaterfallWorldBigBreakableWall", &al::createActorFunction<class WaterfallWorldBigBreakableWall>},
    {"WaterfallWorldFallDownBridge", &al::createActorFunction<class WaterfallWorldFallDownBridge>},
    {"WaterfallWorldHomeCage", &al::createActorFunction<class WaterfallWorldBigBreakableWall>},
    {"WaterfallWorldWaterfall", &al::createActorFunction<class WaterfallWorldWaterfall>},
    {"WaterRoad", &al::createActorFunction<class WaterRoad>},
    {"WeightSwitch", &al::createActorFunction<class WeightSwitch>},
    {"WheelWaveSurfParts", &al::createActorFunction<class WheelWaveSurfParts>},
    {"WindBlowPuzzle", &al::createActorFunction<class WindBlowPuzzle>},
    {"WorldMapEarth", &al::createActorFunction<class WorldMapEarth>},
    {"WorldTravelingNpc", &al::createActorFunction<class WorldTravelingNpc>},
    {"WorldTravelingPeach", &al::createActorFunction<class WorldTravelingPeach>},
    {"WorldWarpHole", &al::createActorFunction<class WorldWarpHole>},
    {"Fastener", &al::createActorFunction<class Fastener>},
    {"FastenerObj", &al::createActorFunction<class FastenerObj>},
    {"AtmosScatterRequester", &al::createActorFunction<al::AtmosScatterRequester>},
    {"BackHideParts", &al::createActorFunction<al::BackHideParts>},
    {"BreakMapParts", &al::createActorFunction<class BreakMapParts>},
    {"CapRotateMapParts", &al::createActorFunction<class CapRotateMapParts>},
    {"ClockMapParts", &al::createActorFunction<al::ClockMapParts>},
    {"ConveyerMapParts", &al::createActorFunction<al::ConveyerMapParts>},
    {"FallMapParts", &al::createActorFunction<al::FallMapParts>},
    {"FixMapParts", &al::createActorFunction<al::FixMapParts>},
    {"FloaterMapParts", &al::createActorFunction<al::FloaterMapParts>},
    {"FlowMapParts", &al::createActorFunction<al::FlowMapParts>},
    {"GateMapParts", &al::createActorFunction<al::GateMapParts>},
    {"KeyMoveMapParts", &al::createActorFunction<al::KeyMoveMapParts>},
    {"KeyMoveMapPartsGenerator", &al::createActorFunction<al::KeyMoveMapPartsGenerator>},
    {"PossessedMapParts", &al::createActorFunction<class HackMapParts>},
    {"Pukupuku", &al::createActorFunction<class Pukupuku>},
    {"PulseSwitch", &al::createActorFunction<class PulseSwitch>},
    {"RailCollision", &al::createActorFunction<class RailCollision>},
    {"RailMoveMapParts", &al::createActorFunction<al::RailMoveMapParts>},
    {"RiseMapParts", &al::createActorFunction<class RiseMapParts>},
    {"ReactionMapParts", &al::createActorFunction<class ReactionMapParts>},
    {"RiseMapPartsHolder", &al::createActorFunction<class RiseMapPartsHolder>},
    {"RocketFlower", &al::createActorFunction<class RocketFlower>},
    {"RollingCubeMapParts", &al::createActorFunction<al::RollingCubeMapParts>},
    {"RippleFixMapParts", &al::createActorFunction<al::RippleFixMapParts>},
    {"RotateMapParts", &al::createActorFunction<al::RotateMapParts>},
    {"SeesawMapParts", &al::createActorFunction<al::SeesawMapParts>},
    {"SlideMapParts", &al::createActorFunction<al::SlideMapParts>},
    {"SubActorLodMapParts", &al::createActorFunction<al::SubActorLodMapParts>},
    {"SurfMapParts", &al::createActorFunction<al::SurfMapParts>},
    {"SwingMapParts", &al::createActorFunction<al::SwingMapParts>},
    {"SwitchDitherMapParts", &al::createActorFunction<al::SwitchDitherMapParts>},
    {"SwitchKeepOnWatcher", &al::createActorFunction<al::SwitchKeepOnWatcher>},
    {"SwitchOpenMapParts", &al::createActorFunction<al::SwitchOpenMapParts>},
    {"VisibleSwitchMapParts", &al::createActorFunction<al::VisibleSwitchMapParts>},
    {"WaveSurfMapParts", &al::createActorFunction<class WaveSurfMapParts>},
    {"WheelMapParts", &al::createActorFunction<al::WheelMapParts>},
    {"WobbleMapParts", &al::createActorFunction<al::WobbleMapParts>},
    {"WindBlowMapParts", &al::createActorFunction<class WindBlowMapParts>},
    {"Yoshi", &al::createActorFunction<class Yoshi>},
    {"YoshiFruit", &al::createActorFunction<class YoshiFruit>},
    {"YoshiFruitShineHolder", &al::createActorFunction<class YoshiFruitShineHolder>},
    {"Yukimaru", &al::createActorFunction<class Yukimaru>},
    {"YukimaruRacer", &al::createActorFunction<class YukimaruRacer>},
    {"YukimaruRacerTiago", &al::createActorFunction<class YukimaruRacerTiago>}
};